ranger-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Velmurugan Periasamy (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (RANGER-2080) Add json-smart explicitly to security-admin/pom.xml
Date Tue, 24 Apr 2018 17:48:00 GMT

     [ https://issues.apache.org/jira/browse/RANGER-2080?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Velmurugan Periasamy updated RANGER-2080:
-----------------------------------------
    Description: 
RANGER-1867 upgraded nimbus-jose-jwt to 4.41.2 - that has a transitive dependency of json-smart
- which is specified as version range as part of  [this commit|https://bitbucket.org/connect2id/nimbus-jose-jwt/commits/822dc9bf3d88fecf3591bf816b0eae424a6ce467?at=4.41.2]

{{In certain environments, build may fail with below error:}}
{{ Failed to collect dependencies at com.nimbusds:nimbus-jose-jwt:jar:4.41.2 -> net.minidev:json-smart:jar:[1.3.1,2.3]:
No versions available for net.minidev:json-smart:jar:[1.3.1,2.3] within specified range ->}}
{{ To avoid this, json-smart dependency can be added explicitly to security-admin/pom.xml.
One thing to note is when nimbus-jose-jwt version is updated, this also needs to be checked. }}

 

  was:
RANGER-1867 upgraded nimbus-jose-jwt to 4.41.2 - that has a transitive dependency of json-smart
- which is specified as version range as part of  [[this commit|https://bitbucket.org/connect2id/nimbus-jose-jwt/commits/822dc9bf3d88fecf3591bf816b0eae424a6ce467?at=4.41.2]

In certain environments, build may fail with below error:
 Failed to collect dependencies at com.nimbusds:nimbus-jose-jwt:jar:4.41.2 -> net.minidev:json-smart:jar:[1.3.1,2.3]:
No versions available for net.minidev:json-smart:jar:[1.3.1,2.3] within specified range ->
 To avoid this, json-smart dependency can be added explicitly to security-admin/pom.xml. One
thing to note is when nimbus-jose-jwt version is updated, this also needs to be checked. 

 


> Add json-smart explicitly to security-admin/pom.xml 
> ----------------------------------------------------
>
>                 Key: RANGER-2080
>                 URL: https://issues.apache.org/jira/browse/RANGER-2080
>             Project: Ranger
>          Issue Type: Bug
>          Components: Ranger
>            Reporter: Velmurugan Periasamy
>            Assignee: Velmurugan Periasamy
>            Priority: Major
>             Fix For: 1.1.0
>
>
> RANGER-1867 upgraded nimbus-jose-jwt to 4.41.2 - that has a transitive dependency of
json-smart - which is specified as version range as part of  [this commit|https://bitbucket.org/connect2id/nimbus-jose-jwt/commits/822dc9bf3d88fecf3591bf816b0eae424a6ce467?at=4.41.2]
> {{In certain environments, build may fail with below error:}}
> {{ Failed to collect dependencies at com.nimbusds:nimbus-jose-jwt:jar:4.41.2 -> net.minidev:json-smart:jar:[1.3.1,2.3]:
No versions available for net.minidev:json-smart:jar:[1.3.1,2.3] within specified range ->}}
> {{ To avoid this, json-smart dependency can be added explicitly to security-admin/pom.xml.
One thing to note is when nimbus-jose-jwt version is updated, this also needs to be checked. }}
>  



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

Mime
View raw message